gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.ButtonBox A button box should be used to provide a consistent layout of buttons throughout your application. This box provides a way of laying out buttons vertically.

The layout of buttons in this type of box is determined by the box's .

Methods for manipulating button boxes are provided in the super classes, and .

- Constructor
  The normal way to construct a vertical button box
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  GLib.GType GType Property. a Returns the native value for .